clang-tools 10.0.0

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
clang::clangd::LSPError Class Reference

`#include <Protocol.h>`

Inheritance diagram for clang::clangd::LSPError:
[legend]
Collaboration diagram for clang::clangd::LSPError:
[legend]

## Public Member Functions
| LSPError (std::string Message, ErrorCode Code)
void | log (llvm::raw_ostream &OS) const override
std::error_code | convertToErrorCode () const override

## Public Attributes
std::string | Message
ErrorCode | Code

## Static Public Attributes
static char | ID

## Detailed Description

Definition at line 55 of file Protocol.h.

## Constructor & Destructor Documentation

## ◆ LSPError()

clang::clangd::LSPError::LSPError | ( | std::string | Message,
|  | ErrorCode | Code
| ) |  |
| inline

Definition at line 61 of file Protocol.h.

## Member Function Documentation

## ◆ convertToErrorCode()

std::error_code clang::clangd::LSPError::convertToErrorCode | ( |  | ) | const
| inline override

Definition at line 67 of file Protocol.h.

## ◆ log()

void clang::clangd::LSPError::log | ( | llvm::raw_ostream & | OS | ) | const
| inline override

Definition at line 64 of file Protocol.h.

## Member Data Documentation

## ◆ Code

ErrorCode clang::clangd::LSPError::Code

Definition at line 58 of file Protocol.h.

## ◆ ID

char clang::clangd::LSPError::ID
| static

Definition at line 59 of file Protocol.h.

## ◆ Message

std::string clang::clangd::LSPError::Message

Definition at line 57 of file Protocol.h.

The documentation for this class was generated from the following files:

- Protocol.h
- Protocol.cpp